/*
 *  ITnMapVectorDataProxy.h
 *
 *  Created by Jian Huang on 02/07/11.
 *  Copyright 2011 TeleNav. All rights reserved.
 *
 */

#ifndef ITN_MAP_VECTOR_DATA_PROXY_H
#define ITN_MAP_VECTOR_DATA_PROXY_H

#include <RenderEngine/TnMapVectorData.h>

class ITnMapVectorDataProxy
{
public:
    typedef Tn::Foundation::shared_ptr<ITnMapVectorDataProxy> ptr;
    typedef Tn::Foundation::weak_ptr<ITnMapVectorDataProxy> wptr;

    virtual ~ITnMapVectorDataProxy() = 0;

    virtual bool PrefetchSupported() const = 0;
    virtual void RequestTilePrefetch(TnMapTileId const & id) = 0;

    virtual void RequestTile(TnMapVectorData::ptr const & data) = 0;

    virtual void CancelRequest(TnMapVectorData::ptr const & data) = 0;
};

#endif
